%define	pkgname	vmware
Name:		opennebula-driver-vmware
Version:	2.9.80
Release:	7.14
License:	Apache License version 2.0
Summary:	VMware driver for OpenNebula
URL:		http://www.opennebula.org
Group:		Productivity/Networking/System
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	README-AFTER-SETUP
Patch0:		%{pkgname}-install.patch
Patch3:		%{pkgname}-vmwarerc.patch
BuildRequires:	opennebula >= 3.0.0
Requires:	opennebula >= 3.0.0
Requires:	libvirt >= 0.8.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is the distribution of OpenNebula VMware Driver Addon.

%prep
%setup -n %{pkgname}-%{version}
%patch0
%patch3

%build

%install
cp %{S:1} .
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/lib/one/ruby/OpenNebula
mkdir -p %{buildroot}%{_sysconfdir}/one
mkdir -p %{buildroot}%{_datadir}/one/hooks
mkdir -p %{buildroot}%{_prefix}/lib/one/tm_commands/vmware
mkdir -p %{buildroot}/var/lib/one/remotes/im
mkdir -p %{buildroot}/var/lib/one/remotes/vmm
mkdir -p %{buildroot}/var/lib/one/remotes/hooks
mkdir -p %{buildroot}/var/lib/one/remotes/image/fs
export DESTDIR=%{buildroot}
install.sh
#cp -aR %{buildroot}%{_prefix}/lib/one/remotes/im/vmware.d %{buildroot}/var/lib/one/remotes/im/
#cp -aR %{buildroot}%{_prefix}/lib/one/remotes/vmm/vmware %{buildroot}/var/lib/one/remotes/vmm/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README-AFTER-SETUP
%dir %{_sysconfdir}/one/tm_vmware
%config %{_sysconfdir}/one/tm_vmware/tm_vmware.conf
%dir %{_sysconfdir}/one/vmm_sh
%config %{_sysconfdir}/one/vmm_sh/vmm_sh_vmware.conf
%config %{_sysconfdir}/one/vmm_sh/vmm_sh_vmwarerc
%config %{_sysconfdir}/one/vmwarerc
%{_bindir}/tty_expect
%dir /var/lib/one/remotes/im/vmware.d
%dir /var/lib/one/remotes/vmm/vmware
%{_prefix}/lib/one/tm_commands/vmware/tm_clone.sh
%dir /var/lib/one/remotes/hooks
/var/lib/one/remotes/hooks/fix_owner_perms.sh
%dir /var/lib/one/remotes/image
%dir /var/lib/one/remotes/image/fs
/var/lib/one/remotes/image/fs/cp
/var/lib/one/remotes/image/fs/mv
/var/lib/one/remotes/image/fs/rm
%{_prefix}/lib/one/ruby/vmwarelib.rb
/var/lib/one/remotes/im/vmware.d/vmware.rb
/var/lib/one/remotes/vmm/vmware/cancel
/var/lib/one/remotes/vmm/vmware/checkpoint
/var/lib/one/remotes/vmm/vmware/deploy
/var/lib/one/remotes/vmm/vmware/migrate
/var/lib/one/remotes/vmm/vmware/poll
/var/lib/one/remotes/vmm/vmware/restore
/var/lib/one/remotes/vmm/vmware/save
/var/lib/one/remotes/vmm/vmware/shutdown
%dir %{_prefix}/lib/one/tm_commands/vmware
%{_prefix}/lib/one/tm_commands/vmware/tm_ln.sh
%{_prefix}/lib/one/tm_commands/vmware/tm_mv.sh
%dir %{_datadir}/one/hooks

%changelog
* Sun Oct 16 2011 cs@linux-administrator.com
- update to 3.0.0 Beta1 (2.9.80)
* Sun Jul 10 2011 cs@linux-administrator.com
- added hint about ONE_AUTH to README-AFTER-SETUP
* Sat Jul  9 2011 cs@linux-administrator.com
- added vmware-vmm-remotes.patch
* Fri Jul  8 2011 cs@linux-administrator.com
- added vmware-vmwarelib.patch to fix tty_expect path
- added vmware-imRemotesVmwareRCfix.patch
- added vmware-vmwarerc.patch
* Mon Jun 27 2011 cs@linux-administrator.com
- initial package
